aboutsummaryrefslogtreecommitdiffstats
path: root/_zsh/70-history.zsh
diff options
context:
space:
mode:
Diffstat (limited to '_zsh/70-history.zsh')
-rw-r--r--_zsh/70-history.zsh31
1 files changed, 31 insertions, 0 deletions
diff --git a/_zsh/70-history.zsh b/_zsh/70-history.zsh
new file mode 100644
index 0000000..1d6ad6d
--- /dev/null
+++ b/_zsh/70-history.zsh
@@ -0,0 +1,31 @@
+#
+# zsh/history.zsh
+#
+
+HISTFILE=~/.zsh_history
+
+HISTSIZE=10000
+SAVEHIST=9000
+# ignore these commands without arguments
+HISTIGNORE="cd:ls:ll"
+
+
+# Combine history search with `percol`
+# Credit: https://github.com/mooz/percol
+if exists percol; then
+ function percol_select_history() {
+ local tac
+ exists gtac && tac="gtac" || {
+ exists tac && tac="tac" || {
+ tac="tail -r" } }
+ BUFFER=$(fc -l -n 1 | eval ${tac} | percol --query "${LBUFFER}")
+ CURSOR=${#BUFFER} # move cursor
+ zle -R -c # refresh
+ }
+
+ zle -N percol_select_history
+ # Override the bindkey settings in `60-bindkeys.zsh`
+ bindkey '^R' percol_select_history
+fi
+
+# vim: set ts=8 sw=4 tw=0 fenc=utf-8 ft=zsh: #